package com.unipi.talepis.medical5;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Intent;
import android.os.AsyncTask;
import android.provider.Settings;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import java.util.concurrent.atomic.AtomicInteger;

public class MainActivity extends AppCompatActivity {
    TextView textView1;
    int k;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView1 = (TextView)findViewById(R.id.textView1);
    }
    public void go1(View view){
        for (int i=0;i<10;i++){
            try {
                Thread.sleep(1000);
                textView1.setText(String.valueOf(i));
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }
    public void go2(View view){
        new Thread(new Runnable() {
            @Override
            public void run() {
                for (k=0;k<10;k++){
                    try {
                        Thread.sleep(1000);
                        runOnUiThread(new Runnable() {
                            @Override
                            public void run() {
                                textView1.setText(String.valueOf(k));
                            }
                        });
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                }
            }
        }).start();
    }
    public void go3(View view){
        MyAsyncTask myAsyncTask = new MyAsyncTask();
        myAsyncTask.execute();
    }
    public void serviceStart(View view){
        startService(new Intent(this,MyService.class));
    }
    public void serviceStop(View view){
        stopService(new Intent(this,MyService.class));
    }
    public void startIn5Sec(View view){
        Intent intent = new Intent(this,MyService.class);
        PendingIntent pendingIntent = PendingIntent.getService(this,132,intent,0);
        long alarmTime = System.currentTimeMillis()+10000;
        AlarmManager alarmManager = (AlarmManager)getSystemService(ALARM_SERVICE);
        alarmManager.set(AlarmManager.RTC_WAKEUP,alarmTime,pendingIntent);
    }

    private class MyAsyncTask extends AsyncTask<String,String,String>{

        @Override
        protected String doInBackground(String... strings) {
            for (int j=0;j<10;j++){
                publishProgress(String.valueOf(j));
                try {
                    Thread.sleep(1000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
            return null;
        }

        @Override
        protected void onPostExecute(String s) {
            textView1.setText("Job Completed!");
            super.onPostExecute(s);
        }

        @Override
        protected void onProgressUpdate(String... values) {
            textView1.setText(values[0]);
            super.onProgressUpdate(values);
        }
    }
}
